require 'bcrypt'
require "fileutils"
require "erb"
require "yaml"
require "hola-leco/util"
require "sidekiq"

class Hola
  include Util
  include Sidekiq::Worker

  def perform(param, model)
    puts 'holis'
    user = model.find(2) 
    puts user.email
    puts "testing2 sidekiq #{param}"
  end

  def self.test(param)
    perform_async(param)
  end

  # include Singleton
  @@options = nil

  def self.greet(name)
    puts "hello #{name}"
  end

  def self.options
    @@options = Util.get_options if !@@options 
    @@options
  end

  def self.hi(language = "english")
    my_password = BCrypt::Password.create("my password")
    puts my_password
    translator = Translator.new(language)
    puts translator.hi
  end
end

require 'hola-leco/translator'